      module vel_reader<data_import_module=1,NEdisplayMode="open"> {
         file FILE {
            name<NEportLevels={3,0}>;
         };
         macro UI {
            Root.UImod_panel UImod_panel {
               title => name_of(<-.<-.<-);
               parent<NEportLevels={3,0}>;
            };
            UIlabel Filename {
               parent => <-.UImod_panel;
               y = 0;
               width = 200;
               alignment = "left";
            };
            UItext file_name {
               parent => <-.UImod_panel;
               y => ((Filename.y + Filename.height) + 5);
               text => <-.<-.FILE.name;
               width = 170;
               showLastPosition = 1;
            };
            UIbutton visible {
               parent => <-.UImod_panel;
               x => ((file_name.x + file_name.width) + 5);
               y => file_name.y;
               width = 75;
               height => <-.file_name.height;
               label => "Browse...";
            };
            UIfileSB file_browser {
               GMOD.copy_on_change copy_on_change {
                  trigger => <-.<-.visible.do;
                  input => <-.<-.visible.do;
                  output => <-.visible;
               };
               title => "Filename";
               filename => <-.<-.FILE.name;
               searchPattern = "data/*.out";
            };
         };
         int dims<NEportLevels={0,2}>[3] =>
		cache(file_obj(.FILE,0,3,{1,1,1},0,1));
         int skip_dims => cache(file_skip_lines(FILE,0,1));
         float velocities<NEportLevels={0,2}>[prod(dims)][3] =>
		cache(file_obj(.FILE,.skip_dims,4,{1,1,1},0,1));
      };
