int getTimes(char *filename, int *curStep, int *curTime,
               int *prevStep, int *prevTime)
{
  FILE *fp_in;
  char scratch[1024];
  int i, c, nl;
  long prev, cur;

  if (filename != NULL) {

    fp_in = fopen(filename, "r");

    if (fp_in == NULL) {
      fprintf(stderr, "\ngetTimes: Can't open '%s'\n", filename);
      return (0);
    }

  } else {

     fprintf(stderr, "\ngetTimes: Can't get value of filename\n");
     return (0);

  }

  nl = 0;
  while ((c = fgetc(fp_in)) != EOF)
    if (c == '\n')
      ++nl;
  rewind(fp_in);
  for(i = 1; i <= nl - 2; i++)
    fgets(scratch, sizeof(scratch), fp_in);
  prev = ftell(fp_in);
  fgets(scratch, sizeof(scratch), fp_in);
  cur  = ftell(fp_in);
  fseek(fp_in, cur, SEEK_SET);
  fscanf(fp_in, "%d %d", curStep, curTime);
  fseek(fp_in, prev, SEEK_SET);
  fscanf(fp_in, "%d %d", prevStep, prevTime);
  fclose(fp_in);
  return(1);
}
