APPS.MultiWindowApp ParssimViewer<NExOffset=96.,NEyOffset=11.> {
   UI {
      Modules {
         IUI {
            optionList {
               selectedItem = 0;
               cmdList => {
                  <-.<-.<-.<-.ParssimUI.concUI.Select_Concentration.option,
                  <-.<-.<-.<-.ParssimUI.fileUI.Process_PLT_Files.option,
                  <-.<-.<-.<-.Loop.UIpanel.option,
                  <-.<-.<-.<-.points_reader.UI.UImod_panel.option,
                  <-.<-.<-.<-.vel_reader.UI.UImod_panel.option,
                  <-.<-.<-.<-.pres_reader.UI.UImod_panel.option,
                  <-.<-.<-.<-.conc_reader.UI.UImod_panel.option,
                  <-.<-.<-.<-.Arrow_Size.UIpanel.option,
                  <-.<-.<-.<-.bounds.UIpanel.option,
                  <-.<-.<-.<-.Basic_Axis3D.panel.option,
                  <-.<-.<-.<-.concentration_slice_plane.UIpanel.option,
                  <-.<-.<-.<-.velocity_slice_plane.UIpanel.option,
                  <-.<-.<-.<-.PressureLegend.UImod_panel.option,
                  <-.<-.<-.<-.ConcLegend.UImod_panel.option,
                  <-.<-.<-.<-.pressure_slice_plane.UIpanel.option,
                  <-.<-.<-.<-.pressure_contours.UIpanel.option,
                  <-.<-.<-.<-.concentration_contours.UIpanel.option
               };
            };
            mod_panel {
               x = 0;
               y = 0;
            };
         };
      };
      shell {
         x = 0;
         y = 0;
      };
   };
   macro ParssimUI<NEx=-99.,NEy=-11.> {
      macro concUI<NEx=572.,NEy=44.,NExOffset=361.,NEyOffset=204.,NEscalingFactor=1.> {
         UImod_panel Select_Concentration<NEx=-44.,NEy=-187.> {
            option {
               set = 1;
            };
         };
         UIradioBox UIradioBox<NEx=0.,NEy=-11.,NEwidth=231.,NEheight=473.> {
            parent => <-.UIframe;
            cmdList => {
               <-.Tracer,<-._H_1_,<-.H2CO3_aq_,<-.NH4_1,<-.O2__aq_,<-.HNTA_2,
               <-.Co_2,<-.Buffer,<-.Biomass,<-.H3NTA_aq_,<-.H2NTA_1,<-.NTA_3,
               <-.CoNTA_1,<-.Co_NTA_2_4,<-.CoOHNTA_2,<-.CoOH_1,<-.Co_OH_2_aq_,
               <-.Co_OH_3_1,<-.HCO3_1,<-.CO3_2,<-.NH3_aq_,<-.OH_1,<-.HBuffer_aq_,
               <-.Degradate,<-.DeadCells,<-.AdsorbedCo,<-.AdsorbedCoNTA
            };
            selectedItem = 2;
            y = 0;
            width = 200;
         };
         UIoption Tracer<NEx=-363.,NEy=-198.> {
            label<NEportLevels={0,2}>;
         };
         UIoption _H_1_<NEx=-363.,NEy=-165.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         int selConc<NEportLevels={1,3},NEx=121.,NEy=33.> => (.UIradioBox.selectedItem + 1);
         DVM.DVswitch DVswitch<NEx=0.,NEy=77.> {
            in => {
               <-.Tracer,<-._H_1_,<-.H2CO3_aq_,<-.NH4_1,<-.O2__aq_,<-.HNTA_2,
               <-.Co_2,<-.Buffer,<-.Biomass,<-.H3NTA_aq_,<-.H2NTA_1,<-.NTA_3,
               <-.CoNTA_1,<-.Co_NTA_2_4,<-.CoOHNTA_2,<-.CoOH_1,<-.Co_OH_2_aq_,
               <-.Co_OH_3_1,<-.HCO3_1,<-.CO3_2,<-.NH3_aq_,<-.OH_1,<-.HBuffer_aq_,
               <-.Degradate,<-.DeadCells,<-.AdsorbedCo,<-.AdsorbedCoNTA
            };
            index => <-.UIradioBox.selectedItem;
            out<NEdisplayMode="open">;
         };
         string species<NEportLevels={1,3},NEx=0.,NEy=132.> => DVswitch.out.label;
         UIoption H2CO3_aq_<NEx=-363.,NEy=-132.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption NH4_1<NEx=-363.,NEy=-99.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption O2__aq_<NEx=-363.,NEy=-66.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption HNTA_2<NEx=-363.,NEy=-33.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Co_2<NEx=-363.,NEy=0.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Buffer<NEx=-363.,NEy=33.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Biomass<NEx=-363.,NEy=66.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption H3NTA_aq_<NEx=-363.,NEy=99.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption H2NTA_1<NEx=-363.,NEy=132.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption NTA_3<NEx=-363.,NEy=165.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption CoNTA_1<NEx=-363.,NEy=198.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Co_NTA_2_4<NEx=-363.,NEy=231.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption CoOHNTA_2<NEx=-363.,NEy=264.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption CoOH_1<NEx=308.,NEy=-187.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Co_OH_2_aq_<NEx=308.,NEy=-154.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Co_OH_3_1<NEx=308.,NEy=-121.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption HCO3_1<NEx=308.,NEy=-88.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption CO3_2<NEx=308.,NEy=-55.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption NH3_aq_<NEx=308.,NEy=-22.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption OH_1<NEx=308.,NEy=11.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption HBuffer_aq_<NEx=330.,NEy=55.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption Degradate<NEx=330.,NEy=88.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption DeadCells<NEx=330.,NEy=121.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption AdsorbedCo<NEx=341.,NEy=154.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         UIoption AdsorbedCoNTA<NEx=330.,NEy=187.> {
            label<NEdisplayMode="open",NEportLevels={0,2}>;
         };
         link real_time_yes<NEportLevels={1,3},NEx=0.,NEy=231.> => .UItoggle.set;
         UItoggle UItoggle<NEx=154.,NEy=99.> {
            height => 24;
            label => "Process in real time";
            x = 4;
            y = 4;
            width = 170;
            color {
               foregroundColor = "red";
               backgroundColor = "white";
            };
            fontAttributes {
               height = 14;
            };
            parent => <-.Select_Concentration;
         };
         UIframe UIframe<NEx=-132.,NEy=-121.> {
            parent => <-.Select_Concentration;
            y = 60;
            width => <-.Select_Concentration.clientWidth;
            height => <-.Select_Concentration.clientHeight;
         };
         UIlabel UIlabel<NEx=132.,NEy=-121.> {
            parent => <-.Select_Concentration;
            label => "Select Concentration";
            y = 35;
            width => <-.Select_Concentration.clientWidth;
            alignment = "left";
         };
      };
      macro fileUI<NEx=22.,NEy=33.,NExOffset=34.,NEyOffset=-26.> {
         UImod_panel Process_PLT_Files<NEx=-33.,NEy=33.> {
            active<NEportLevels={1,1}> => (!LoopParams.run);
         };
         UIbutton _Browse_PLT_<NEx=88.,NEy=121.> {
            parent => <-.Process_PLT_Files;
            height => <-.PLTFile.height;
            label => "Browse...";
            x => (<-.PLTFile.width + 5);
            y => (<-.fileLabel.y + <-.fileLabel.height);
            width = 75;
         };
         UIlabel fileLabel<NEx=-11.,NEy=77.> {
            parent => <-.Process_PLT_Files;
            label => "Enter PLT file";
            y = 0;
            width => <-.Process_PLT_Files.clientWidth;
            alignment = "left";
         };
         UItext PLTFile<NEx=0.,NEy=231.> {
            parent => <-.Process_PLT_Files;
            text<NEportLevels={2,3}> => <-.UIfileDialog.filename;
            y = 24;
            width => (<-.Process_PLT_Files.clientWidth - 80);
         };
         UIfileDialog UIfileDialog<NEx=77.,NEy=176.> {
            visible => <-._Browse_PLT_.do;
            filename = "data/conc1-10.000.plt";
            x = 77;
            y = 212;
            width = 300;
            height = 388;
            ok = 1;
            cancel = 1;
            dirMaskCache = "data/*.plt";
         };
      };
      link inPLT<NEportLevels={1,2},NEx=231.,NEy=220.> => .fileUI.PLTFile.text;
   };
   MODS.Loop Loop<NEx=-88.,NEy=33.> {
      run<NEportLevels={2,2}> => <-.ParssimUI.concUI.real_time_yes;
      LoopUI {
         cycle_toggle {
            x = 0;
         };
         start_typein {
            x = 0;
         };
         end_typein {
            x = 0;
         };
         incr_typein {
            x = 0;
         };
         count_typein {
            x = 0;
         };
      };
      UIpanel<NEx=649.,NEy=319.> {
         option {
            active = 0;
         };
         active = 1;
      };
   };
   PACKAGES.PARSSIM.MODULE.points_reader points_reader<NEx=-99.,NEy=121.> {
      FILE {
         name => <-.<-.ParssimParser.pointsFile;
      };
      UI {
         UImod_panel {
            option<NEdisplayMode="open"> {
               active = 0;
            };
         };
      };
   };
   PACKAGES.PARSSIM.MODULE.ParssimParser ParssimParser<NEx=154.,NEy=77.,NEwidth=231.,NEheight=506.> {
      run => <-.Loop.run;
      trigger => <-.Loop.count;
      selConc => <-.ParssimUI.concUI.selConc;
      inPLT => <-.ParssimUI.inPLT;
   };
   PACKAGES.PARSSIM.MODULE.vel_reader vel_reader<NEx=77.,NEy=121.,NEdisplayMode="closed"> {
      FILE {
         name => <-.<-.ParssimParser.velFile;
      };
      UI {
         UImod_panel {
            option<NEdisplayMode="open"> {
               active = 0;
            };
         };
      };
   };
   PACKAGES.PARSSIM.MODULE.pres_reader pres_reader<NEx=253.,NEy=121.,NEdisplayMode="closed"> {
      FILE {
         name => <-.<-.ParssimParser.presFile;
      };
      UI {
         UImod_panel {
            option {
               active = 0;
            };
         };
      };
   };
   PACKAGES.PARSSIM.MODULE.conc_reader conc_reader<NEx=396.,NEy=121.> {
      FILE {
         name => <-.<-.ParssimParser.concFile;
      };
      UI {
         UImod_panel {
            option {
               active = 0;
            };
         };
      };
   };
   FLD_MAP.rect_mesh rect_mesh<NEx=-88.,NEy=176.> {
      in_dims => <-.points_reader.dims;
      in_points => <-.points_reader.points;
   };
   FLD_MAP.node_scalar Pressure_Data<NEx=264.,NEy=165.> {
      in_data => <-.pres_reader.pressure;
      out {
         node_data<NEdisplayMode="open"> = {
            {
               labels="pressure",,,,,,,,,,
            }};
      };
   };
   FLD_MAP.node_scalar Concentration_Data<NEx=429.,NEy=165.> {
      in_data => <-.conc_reader.concentration;
      out {
         node_data {
            labels<NEportLevels={4,0}> => <-.<-.<-.ParssimUI.concUI.species;
         } = {
            {
               units="mol/cu. liter",,,,,,,,,,,
            }};
      };
   };
   FLD_MAP.node_vector Velocity_Data<NEx=77.,NEy=165.> {
      in_data => <-.vel_reader.velocities;
      out {
         node_data = {
            {
               labels="velocity",,,,,,,,,,
            }};
      };
   };
   FLD_MAP.combine_mesh_data VelField<NEx=77.,NEy=209.> {
      in_mesh => <-.rect_mesh.out;
      in_nd => <-.Velocity_Data.out;
   };
   FLD_MAP.combine_mesh_data PresField<NEx=275.,NEy=209.> {
      in_mesh => <-.rect_mesh.out;
      in_nd => <-.Pressure_Data.out;
   };
   FLD_MAP.combine_mesh_data ConcField<NEx=440.,NEy=209.> {
      in_mesh => <-.rect_mesh.out;
      in_nd => <-.Concentration_Data.out;
   };
   GEOMS.Arrow1 Arrow1<NEx=-66.,NEy=275.>;
   MODS.glyph Arrow_Size<NEx=110.,NEy=319.> {
      in_field => <-.velocity_slice_plane.out_fld;
      in_glyph => <-.Arrow1.out_fld;
      GlyphParam {
         scale = 5976.5;
      };
      GlyphUI {
         scale_slider {
            min = 1000.;
            max = 7000.;
         };
      };
      obj {
         Obj {
            cached = 0;
         };
      };
   };
   MODS.bounds bounds<NEx=-88.,NEy=220.> {
      in_field => <-.rect_mesh.out;
      UIpanel {
         option {
            active = 0;
         };
      };
      obj {
         Obj {
            cached = 0;
         };
      };
   };
   HLM.Basic_Axis3D Basic_Axis3D<NEx=-88.,NEy=352.> {
      panel {
         option<NEdisplayMode="open"> {
            set = 0;
            active = 0;
         };
      };
      GroupObject {
         Top {
            cached = 0;
         };
         Xform {
            mat = {
               30.9193,0.,0.,0.,0.,30.9193,0.,0.,0.,0.,30.9193,0.,0.,0.,
0.,1.
            };
         };
      };
      text_glyph {
         TextUI {
            Font {
               text = "-adobe-helvetica-bold-r-*-*-20-*-*-*-*-*-*-*";
            };
         };
      };
      Axis_UI<instanced=0>;
      Axis_scale_X = 11.5;
      Axis_scale_Y = 11.;
      Axis_scale_Z = 2.8;
   };
   MODS.slice_plane concentration_slice_plane<NEx=451.,NEy=253.> {
      in_field => <-.ConcField.out;
      DVcell_data_labels {
         labels[];
      };
      DVnode_data_labels {
         labels[];
      };
   };
   MODS.slice_plane velocity_slice_plane<NEx=77.,NEy=253.> {
      in_field => <-.VelField.out;
      DVcell_data_labels {
         labels[];
      };
      DVnode_data_labels {
         labels[];
      };
   };
   GEOMS.LegendHoriz PressureLegend<NEx=605.,NEy=407.> {
      obj_in => <-.pressure_contours.out_obj;
      UImod_panel {
         option<NEdisplayMode="open"> {
            active = 0;
         };
      };
      font_text {
         text = "-adobe-helvetica-medium-r-*-*-16-*-*-*-*-*-*-*";
      };
      LabelsMacro {
         labelsOffset = -0.06;
         format = "%3.2e";
      };
      x_min = -0.88;
      x_max = 0.88;
      y_min = -0.92;
      y_max = -0.88;
   };
   GEOMS.LegendHoriz ConcLegend<NEx=473.,NEy=407.> {
      obj_in => <-.concentration_contours.out_obj;
      UImod_panel {
         option {
            active = 0;
         };
      };
      font_text {
         text = "-adobe-helvetica-medium-r-*-*-16-*-*-*-*-*-*-*";
      };
      LabelsMacro {
         labelsOffset = -0.06;
         format = "%3.2e";
      };
      x_min = -0.88;
      x_max = 0.88;
      y_min = -0.92;
      y_max = -0.89;
   };
   MODS.slice_plane pressure_slice_plane<NEx=275.,NEy=253.> {
      in_field => <-.PresField.out;
      DVcell_data_labels {
         labels[];
      };
      DVnode_data_labels {
         labels[];
      };
   };
   AGTextObj Pressurelabel<NEx=605.,NEy=440.> {
      dataObject {
         Obj {
            xform_mode = "Locked";
         };
      };
      text<NEx=506.,NEy=77.> {
         text = {
            "Pressure Contours"};
         geometry = {0.6,-0.82};
      };
   };
   AGTextObj ConcLabel<NEx=473.,NEy=440.> {
      dataObject {
         Obj {
            xform_mode = "Locked";
         };
      };
      text {
         text = {
            "Concentration Contours (mol/l\a3)"};
         geometry = {0.43,-0.84};
      };
   };
   AGTextObj SpeciesLabel<NEx=330.,NEy=407.> {
      dataObject {
         Obj {
            xform_mode = "Locked";
         };
      };
      text<NEx=308.,NEy=121.> {
         text = {"Concentration = "};
         geometry = {0.25,0.9};
         height = 2.6;
      };
   };
   AGTextObj ConcName<NEx=330.,NEy=440.> {
      dataObject {
         Obj {
            xform_mode = "Locked";
         };
      };
      text<NEx=352.,NEy=110.> {
         text => {
            <-.<-.ParssimUI.concUI.species};
         geometry = {0.48,0.9};
         color = "yellow";
         height = 2.6;
         horizontalJustification = "left";
      };
   };
   AGTextObj velTimeLabel<NEx=-99.,NEy=407.> {
      dataObject {
         Obj {
            cached = 0;
            xform_mode = "Locked";
         };
      };
      text<NEx=231.,NEy=88.> {
         text = {"velocity time = "};
         geometry = {0.39,0.9};
         height = 2.6;
      };
   };
   AGTextObj velTime<NEx=-99.,NEy=440.> {
      dataObject {
         Obj {
            cached = 0;
            xform_mode = "Locked";
         };
      };
      text {
         text => {
            <-.<-.ParssimParser.velTime};
         geometry = {0.61,0.9};
         height = 2.6;
         horizontalJustification = "left";
      };
   };
   AGTextObj concTime<NEx=187.,NEy=440.> {
      dataObject {
         Obj {
            cached = 0;
            xform_mode = "Locked";
         };
      };
      text {
         text => {
            <-.<-.ParssimParser.concTime};
         geometry = {0.68,0.8};
         height = 2.6;
         horizontalJustification = "left";
      };
   };
   AGTextObj concTimeLabel<NEx=187.,NEy=407.> {
      dataObject {
         Obj {
            cached = 0;
            xform_mode = "Locked";
         };
      };
      text<NEx=231.,NEy=88.> {
         text = {
            "concentration time = "};
         geometry = {0.4,0.8};
         height = 2.6;
      };
   };
   AGTextObj presTime<NEx=44.,NEy=440.> {
      dataObject {
         Obj {
            xform_mode = "Locked";
         };
      };
      text {
         text => {
            <-.<-.ParssimParser.presTime};
         geometry = {0.64,0.8};
         height = 2.6;
         horizontalJustification = "left";
      };
   };
   AGTextObj presTimeLabel<NEx=44.,NEy=407.> {
      dataObject {
         Obj {
            xform_mode = "Locked";
         };
      };
      text<NEx=363.,NEy=77.> {
         text = {"pressure time = "};
         geometry = {0.4,0.8};
         height = 2.6;
      };
   };
   MODS.isoline pressure_contours<NEx=286.,NEy=297.> {
      in_field => <-.pressure_slice_plane.out_fld;
      IsoParam {
         ncontours = 31;
         level_min => 1.071080035e+14;
         level_max => 7.805459889e+15;
      };
      IsoLineUI {
         iso_level_min {
            increment = 100.;
         };
         iso_level_min_typein {
            valEditor {
               y => 112;
               UI {
                  editor_shell {
                     x => 342;
                     width = 326;
                     height = 199;
                  };
               };
            };
         };
         iso_level_max {
            increment = 100.;
         };
         iso_level_max_typein {
            valEditor {
               y => 176;
               UI {
                  editor_shell {
                     x => 342;
                     width = 298;
                     height = 199;
                  };
               };
            };
         };
      };
   };
   MODS.isoline concentration_contours<NEx=451.,NEy=297.> {
      in_field => <-.concentration_slice_plane.out_fld;
      IsoParam {
         ncontours = 30;
         level_min => 3.606759881e-26;
         level_max => 3.606759881e-26;
      };
   };
   GDM.Uviewer3D Uviewer3D<NEx=275.,NEy=495.> {
      Scene {
         Top {
            child_objs => {
               <-.<-.<-.Arrow_Size.out_obj,<-.<-.<-.Basic_Axis3D.out_obj,
               <-.<-.<-.velTimeLabel.dataObject.obj,
               <-.<-.<-.velTime.dataObject.obj,
               <-.<-.<-.presTimeLabel.dataObject.obj,
               <-.<-.<-.presTime.dataObject.obj,
               <-.<-.<-.PressureLegend.GroupObject.obj,
               <-.<-.<-.Pressurelabel.dataObject.obj,
               <-.<-.<-.pressure_contours.out_obj,<-.<-.<-.bounds.out_obj
            };
            Xform {
               dcenter = {3.39095,6.93329,
-3.32379};
               mat = {
                  -0.013456,-0.0122461,0.0116406,0.,0.0168958,-0.00979895,0.00922215,
0.,5.23116e-05,0.0148508,0.0156839,0.,0.,0.,0.,1.
               };
               xlate = {-4.04393,-4.16533,
-0.948094};
            };
         };
         Camera {
            Camera {
               auto_norm = "None";
            };
         };
         View {
            View {
               trigger = 1;
               buffer = "Single";
            };
            ViewUI {
               ViewPanel {
                  UI {
                     panel {
                        defaultWidth = 592;
                        defaultHeight = 522;
                        defaultX = 5;
                        defaultY = 449;
                     };
                     option {
                        label => "Pressures and Velocities";
                     };
                  };
               };
            };
         };
      };
      Scene_Selector {
         input_views => {Scene.View.View,
            <-.Scene#1.View.View};
      };
      Scene_Editor {
         View_Editor {
            GDview_edit {
               buffer = "Single";
            };
            GDobj_sel {
               curobj_name = "Top";
            };
            IUI {
               optionList {
                  selectedItem = 3;
               };
               General {
                  IUI {
                     Renderer {
                        OPcmdList = {
                           ,
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           ,,
                        };
                     };
                     Color {
                        ColorEcho {
                           ColorView {
                              trigger = 1;
                           };
                        };
                     };
                     Timer {
                        y = 0;
                     };
                  };
               };
               Options {
                  IUI {
                     DoubleBuffer {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           ,};
                     };
                     Aspect {
                        OPcmdList = {,
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           }};
                     };
                     BlendMode {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                  };
               };
               Create {
                  IUI {
                     panel {
                        visible = 1;
                     };
                     Camera_Mode {
                        OPcmdList = {,
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                     Scene_Mode {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                  };
                  GDview_creator {
                     camera_mode = "2D";
                  };
               };
            };
            InfoPanel {
               curobj_sel {
                  selectedItem = 0;
                  x = 408;
                  y = 210;
                  width = 300;
                  height = 308;
                  ok = 1;
               };
            };
         };
         Light_Editor {
            GDlinfo_edit {
               sel_light => Scene#1.Lights.Lights[0];
            };
         };
         Camera_Editor {
            GDcamera_edit {
               auto_norm = "None";
            };
            IUI {
               optionList {
                  selectedItem = 0;
               };
               General {
                  IUI {
                     panel {
                        visible = 1;
                     };
                     CameraType {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                     Extents {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                     Mapping {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                     Normalize {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           ,,};
                     };
                  };
               };
            };
         };
         Object_Editor {
            GDobj_edit {
               cached = 1;
            };
            IUI {
               optionList {
                  selectedItem = 0;
               };
               General {
                  IUI {
                     panel {
                        visible = 1;
                     };
                     Pickable {
                        OPcmdList = {
                           ,
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           ,,
                        };
                     };
                     AltSpace {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           };
                     };
                     TransformMode {
                        OPcmdList = {
                           {
                              set=1,,,,,,,,,,,,,,,,,,,,
                           },
                           ,,};
                     };
                  };
               };
            };
         };
      };
      GDM.Uscene3D Scene#1 {
         Top {
            child_objs<NEportLevels={4,1}> => {
               <-.<-.<-.Basic_Axis3D.out_obj,
               <-.<-.<-.concentration_contours.out_obj,
               <-.<-.<-.ConcLegend.GroupObject.obj,
               <-.<-.<-.ConcLabel.dataObject.obj,<-.<-.<-.ConcName.dataObject.obj,
               <-.<-.<-.SpeciesLabel.dataObject.obj,
               <-.<-.<-.concTimeLabel.dataObject.obj,
               <-.<-.<-.concTime.dataObject.obj,<-.<-.<-.Arrow_Size.out_obj,
               <-.<-.<-.bounds.out_obj
            };
            Xform {
               dcenter = {3.64024,6.51435,
-3.80014};
               mat = {
                  -0.014754,-0.0102601,0.01305,0.,0.0165818,-0.00993425,0.0109365,
0.,0.000784938,0.0170086,0.0142598,0.,0.,0.,0.,1.
               };
               xlate = {-3.897,-3.76583,-0.961373};
            };
         };
         Camera {
            Camera {
               auto_norm = "None";
            };
         };
         View {
            View {
               trigger = 1;
               buffer = "Single";
            };
            ViewUI {
               ViewPanel {
                  UI {
                     panel {
                        defaultWidth = 607;
                        defaultHeight = 515;
                        defaultX = 673;
                        defaultY = -12;
                     };
                     option {
                        label => "Concentrations and Velocities";
                     };
                  };
               };
            };
         };
      };
   };
};
