#include <stdio.h>

int getTimes(char *, int *, int *, int *, int *);

main(int argc, char *argv[])
{

  char *filename;
  char scratch[1024];
  int curStep, prevStep;
  int prevTime, curTime;
  int rc;

  filename = argv[1];

  rc = getTimes(filename, &curStep, &curTime, &prevStep, &prevTime);
  if (rc != 0) {
    fprintf(stderr, "\ngetTimes returns %d. Quitting.\n", rc);
    return (1);
  }
  printf("curStep is %d\n", curStep);
  printf("curTime is %d\n", curTime);
  printf("prevStep is %d\n", prevStep);
  printf("prevTime is %d\n", prevTime);

}

  int getTimes(char *filename, int *curStep, int *curTime,
               int *prevStep, int *prevTime)
  {
    FILE *fp_in;
    char scratch[1024];
    int i, c, nl;
    long prev, cur;

  if (filename != NULL) {

    fp_in = fopen(filename, "r");

    if (fp_in == NULL) {
      fprintf(stderr, "\ngetTimes: Can't open '%s'\n", filename);
      return (1);
    }

  } else {

     fprintf(stderr, "\ngetTimes: Can't get value of filename\n");
     return (1);

  }

    nl = 0;
    while ((c = fgetc(fp_in)) != EOF) {
      if (c == '\n')
        ++nl;
    }
    rewind(fp_in);
    printf("numlines is %d\n", nl);
/*
    if (nl < 2) {
      return (1);
    }
*/
    for(i = 0; i < nl - 2; i++)
      fgets(scratch, sizeof(scratch), fp_in);
    prev = ftell(fp_in);
    fgets(scratch, sizeof(scratch), fp_in);
    cur  = ftell(fp_in);
    fseek(fp_in, cur, SEEK_SET);
    fscanf(fp_in, "%d %d", curStep, curTime);
    fseek(fp_in, prev, SEEK_SET);
    fscanf(fp_in, "%d %d", prevStep, prevTime);
    fclose(fp_in);
    return(0);  
  }
